<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>CSS Vriables / Propiedades Personalizadas</title>
  <link rel="stylesheet" href="style-START.css">
</head>
<body>

  <h2>Alcance</h2>
  
  <div class="container container--alcance-a">
    <p>Texto verde porque lo obtengo de la declaración root</p>
    <div>Texto azul porque soy un div</div>
    <div class="error">
      Texto rojo por la regla .error.
      <p>Texto rojo en un p debido a la herencia</p>
    </div>
  </div>

  <div class="container container--alcance-b">
    <div class="container-wrp">
      <div class="item"></div>
      <div class="item"></div>
      <div class="item"></div>
    </div>
  </div>


  <h2>Función <span class="monotype">var()</span></h2>
  
  <div class="container container--var-a">
    <div class="container-wrp">
      <div class="item"></div>
    </div>
  </div>

  <div class="container container--var-b">
    <div class="container-wrp">
      <div class="item"></div>
    </div>
  </div>


  <h2>Dependencias circulares</h2>
  
  <div class="container container--circ-a">
    <div class="container-wrp">
      <div class="item">Texto</div>
    </div>
  </div>

  <div class="container container--circ-b">
    <div class="container-wrp">
      <div class="item">Texto</div>
    </div>
  </div>

  <div class="container container--circ-c">
    <div class="container-wrp">
      <div class="item">Texto</div>
    </div>
  </div>
  
</body>
</html>
